# DataExchange
TKIGES
IGESSolid

# IGESSolid_Block Class Reference

defines Block, Type <150> Form Number <0>
in package IGESSolid
The Block is a rectangular parallelopiped, defined with
one vertex at (X1, Y1, Z1) and three edges lying along
the local +X, +Y, +Z axes.

`#include <IGESSolid_Block.hxx>`

Inheritance diagram for IGESSolid_Block:

[legend]

## Public Member Functions

Standard_EXPORT | IGESSolid_Block ()
Standard_EXPORT void | Init (const gp_XYZ &aSize, const gp_XYZ &aCorner, const gp_XYZ &aXAxis, const gp_XYZ &aZAxis)
| This method is used to set the fields of the class Block - aSize : Length in each local directions - aCorner : Corner point coordinates. Default (0,0,0) - aXAxis : Unit vector defining local X-axis default (1,0,0) - aZAxis : Unit vector defining local Z-axis default (0,0,1) .
Standard_EXPORT gp_XYZ | Size () const
| returns the size of the block
Standard_EXPORT Standard_Real | XLength () const
| returns the length of the Block along the local X-direction
Standard_EXPORT Standard_Real | YLength () const
| returns the length of the Block along the local Y-direction
Standard_EXPORT Standard_Real | ZLength () const
| returns the length of the Block along the local Z-direction
Standard_EXPORT gp_Pnt | Corner () const
| returns the corner point coordinates of the Block
Standard_EXPORT gp_Pnt | TransformedCorner () const
| returns the corner point coordinates of the Block after applying the TransformationMatrix
Standard_EXPORT gp_Dir | XAxis () const
| returns the direction defining the local X-axis
Standard_EXPORT gp_Dir | TransformedXAxis () const
| returns the direction defining the local X-axis after applying TransformationMatrix
Standard_EXPORT gp_Dir | YAxis () const
| returns the direction defining the local Y-axis it is the cross product of ZAxis and XAxis
Standard_EXPORT gp_Dir | TransformedYAxis () const
| returns the direction defining the local Y-axis after applying TransformationMatrix
Standard_EXPORT gp_Dir | ZAxis () const
| returns the direction defining the local X-axis
Standard_EXPORT gp_Dir | TransformedZAxis () const
| returns the direction defining the local Z-axis after applying TransformationMatrix
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

gp_XYZ | theSize
gp_XYZ | theCorner
gp_XYZ | theXAxis
gp_XYZ | theZAxis

## Constructor & Destructor Documentation

Standard_EXPORT IGESSolid_Block::IGESSolid_Block | ( |  | ) |

## Member Function Documentation

Standard_EXPORT gp_Pnt IGESSolid_Block::Corner | ( |  | ) | const

Standard_EXPORT const IGESSolid_Block::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IGESData_IGESEntity.

Standard_EXPORT void IGESSolid_Block::Init | ( | const gp_XYZ & | aSize,
|  | const gp_XYZ & | aCorner,
|  | const gp_XYZ & | aXAxis,
|  | const gp_XYZ & | aZAxis
| ) |

Standard_EXPORT gp_XYZ IGESSolid_Block::Size | ( |  | ) | const

Standard_EXPORT gp_Pnt IGESSolid_Block::TransformedCorner | ( |  | ) | const

Standard_EXPORT gp_Dir IGESSolid_Block::TransformedXAxis | ( |  | ) | const

Standard_EXPORT gp_Dir IGESSolid_Block::TransformedYAxis | ( |  | ) | const

Standard_EXPORT gp_Dir IGESSolid_Block::TransformedZAxis | ( |  | ) | const

Standard_EXPORT gp_Dir IGESSolid_Block::XAxis | ( |  | ) | const

Standard_EXPORT Standard_Real IGESSolid_Block::XLength | ( |  | ) | const

Standard_EXPORT gp_Dir IGESSolid_Block::YAxis | ( |  | ) | const

Standard_EXPORT Standard_Real IGESSolid_Block::YLength | ( |  | ) | const

Standard_EXPORT gp_Dir IGESSolid_Block::ZAxis | ( |  | ) | const

Standard_EXPORT Standard_Real IGESSolid_Block::ZLength | ( |  | ) | const

## Field Documentation

gp_XYZ IGESSolid_Block::theCorner `[private]`

gp_XYZ IGESSolid_Block::theSize `[private]`

gp_XYZ IGESSolid_Block::theXAxis `[private]`

gp_XYZ IGESSolid_Block::theZAxis `[private]`

The documentation for this class was generated from the following file:

- IGESSolid_Block.hxx